MESG(1)

BEZEICHNUNG
mesg - Nachrichten von anderen Benutzern anzeigen (oder nicht)

ÜBERSICHT

mesg [Option] [n|y]

BESCHREIBUNG

Das Dienstprogramm mesg wird von einem Benutzer aufgerufen, um den Schreibzugriff anderer auf das Terminal zu steuern, das mit der Standardfehlerausgabe verknüpft ist. Falls der Schreibzugriff gestattet wird, dann können Programme wie talk(1) und write(1) Nachrichten im Terminal anzeigen.

Traditionell ist der Schreibzugriff standardmäßig erlaubt. Als jedoch diverse Sicherheitsaspekte in das Bewusstsein der Benutzer rückten, ergab sich der Trend, den Schreibzugriff standardmäßig zu unterbinden, zumindest für die primäre Anmelde-Shell.

The initial permissions for the terminal are set by login(1) according to TTYPERM and TTYGROUP from /etc/login.defs. The default is mode 0620 if a tty group is used, and 0600 without the group. The default tty group name is "tty".

To ensure that your ttys are set in a portable and independent manner from system settings, mesg should be executed in your login scripts.

mesg modifies the write permissions for a group on the current terminal device. Since version 2.41, mesg can no longer be compiled to make the terminal writable for others and strictly modifies only group permissions. The usual setup is to use a "tty" group and add relevant users to this group. Alternatively, a less secure solution is to set utilities like write(1) or wall(1) to setgid for the "tty" group.

Das Dienstprogramm mesg beendet sich stillschweigend mit dem Fehlerstatus 2, falls sich die aktuelle Fehlerausgabe nicht auf ein Terminal bezieht. In diesem Fall ist die Ausführung von mesg sinnlos. Die Befehlszeilenoption --verbose erzwingt, dass mesg eine Warnung in diesem Fall ausgibt. Dieses Verhalten wurde in Version 2.33 hinzugefügt.

ARGUMENTE

n
    unterbindet Nachrichten.

y
    erlaubt die Anzeige von Nachrichten.

Falls keine Argumente angegeben sind, zeigt mesg den aktuellen Nachrichtenstatus im Fehlerkanal der Standardausgabe an.

OPTIONEN

-v, --verbose
    erklärt, was geschieht.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

EXIT-STATUS

Das Dienstprogramm mesg gibt die folgenden Rückgabewerte aus:

0
    Nachrichten sind erlaubt.

1
    Nachrichten sind nicht erlaubt.

>1
    Ein Fehler ist aufgetreten.

DATEIEN

/dev/[pt]ty*, /dev/pts/[0-9]*

GESCHICHTE

mesg (I) erscheint im UNIX-Programmierhandbuch. Vor Version 7 von AT&T UNIX wurde der aktuelle Status ohne Argumente invertiert.

SIEHE AUCH

login(1), talk(1), write(1), wall(1), xterm(1)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl mesg ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.